## ruby-fugit 1.1.7

=== Makefile ===

## gem tasks ##

NAME = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name")
VERSION = \
  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")

count_lines:
	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
	find spec -name "*_spec.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
cl: count_lines

gemspec_validate:
	@echo "---"
	ruby -e "s = eval(File.read(Dir['*.gemspec'].first)); p s.validate"
	@echo "---"

name: gemspec_validate
	@echo "$(NAME) $(VERSION)"

cw:
	find lib -name "*.rb" -exec ruby -cw {} \;

build: gemspec_validate
	gem build $(NAME).gemspec
	mkdir -p pkg
	mv $(NAME)-$(VERSION).gem pkg/

push: build
	gem push pkg/$(NAME)-$(VERSION).gem

spec:
	bundle exec rspec
test: spec


## specific to project ##

info:
	uname -a
	bundle exec ruby -v
	bundle exec ruby -Ilib -r et-orbi -e "EtOrbi._make_info"

tzones:
	bundle exec ruby -r tzinfo -e "TZInfo::Timezone.all.each { |tz| p tz.name }"
#tzonesd:
#	bundle exec ruby -r tzinfo -r tzinfo-data -e "::TZInfo::Timezone.all.each { |tz| p tz.name }"


.PHONY: count_lines gemspec_validate name cw build push spec info tzones

=== debian/changelog ===
ruby-fugit (1.1.7-1) unstable; urgency=medium

  * New upstream version 1.1.7
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 16 Jan 2019 07:20:21 +0530

ruby-fugit (1.1.6-1) unstable; urgency=medium

  * Initial release (Closes: #916871)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 20 Dec 2018 01:03:13 +0530

=== debian/control ===
Source: ruby-fugit
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-et-orbi (>= 1.1.6),
               ruby-raabro (>= 1.1)
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fugit.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fugit
Homepage: https://github.com/floraison/fugit
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-fugit
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-et-orbi (>= 1.1.6),
         ruby-raabro (>= 1.1),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Time tools for Ruby and flor
 Fugit is a set of time tools for flor (a Ruby workflow engine) and the
 floraison group. It uses et-orbi to represent time instances and raabro as a
 basis for its parsers.
 .
 Fugit is being used by projects like arask, sideqik-cron, flor, etcetera. The
 simplest way to use fugit is via Fugit.parse(s).

=== debian/watch ===
version=4
https://gemwatch.debian.net/fugit .*/fugit-(.*).tar.gz

## ruby-fugit 1.1.8

=== debian/changelog ===
ruby-fugit (1.1.8-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * New upstream version 1.1.8
  * Add d/upstream/metadata

  [ Pirate Praveen ]
  * Tighten dependency on ruby-et-orbi

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Mar 2019 13:44:55 +0530

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Build-Depends: debhelper (>= 11~),
                gem2deb,
-               ruby-et-orbi (>= 1.1.6),
-               ruby-raabro (>= 1.1)
+               ruby-et-orbi (>= 1.1.7~),
+               ruby-raabro (>= 1.1~)
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fugit.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fugit
@@ -19,8 +19,8 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
-         ruby-et-orbi (>= 1.1.6),
-         ruby-raabro (>= 1.1),
+         ruby-et-orbi (>= 1.1.7~),
+         ruby-raabro (>= 1.1~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Time tools for Ruby and flor

## ruby-fugit 1.3.3+gh

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
 	find spec -name "*_spec.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"
 cl: count_lines
+
+scan:
+	scan lib/**/*.rb
 
 gemspec_validate:
 	@echo "---"
@@ -48,5 +51,5 @@
 #	bundle exec ruby -r tzinfo -r tzinfo-data -e "::TZInfo::Timezone.all.each { |tz| p tz.name }"
 
 
-.PHONY: count_lines gemspec_validate name cw build push spec info tzones
+.PHONY: count_lines scan gemspec_validate name cw build push spec info tzones

=== debian/changelog ===
ruby-fugit (1.3.3+gh-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 Sep 2019 10:49:42 +0530

ruby-fugit (1.3.3+gh-1) unstable; urgency=medium

  * Team upload
  * Use Github as source to fetch tests
  * Build-depend on rspec and chronic to run the tests
  * Bump dependency version on ruby-et-orbi to >= 1.1.8
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Drop compat file, rely on debhelper-compat and bump compat level to 12

 -- Cédric Boutillier <boutil@debian.org>  Tue, 10 Sep 2019 11:47:56 +0200

ruby-fugit (1.3.3-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Pirate Praveen ]
  * Fix changelog entries (previous change was not uploaded)

  [ Sruthi Chandran ]
  * New upstream version 1.3.3

 -- Sruthi Chandran <srud@debian.org>  Thu, 05 Sep 2019 21:19:09 +0530

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fugit-$1.tar.gz%" \
             https://github.com/floraison/fugit/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ruby-fugit 1.3.8

=== debian/changelog ===
ruby-fugit (1.3.8-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * New upstream version 1.3.8
  * Add upstream metadata and .gitattributes, refresh test runner
  * Gem install layout
  * Refresh control file
  * Bump ruby-raabro dependency min version to 1.3

 -- Cédric Boutillier <boutil@debian.org>  Thu, 03 Sep 2020 21:21:19 +0200

=== debian/control ===
Source: ruby-fugit
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rake,
               ruby-chronic (>= 0.10~),
               ruby-et-orbi (>= 1.1.8~),
               ruby-raabro (>= 1.3~),
               ruby-rspec
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fugit.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fugit
Homepage: https://github.com/floraison/fugit
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-fugit
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends},
         ruby-et-orbi (>= 1.1.8~),
         ruby-raabro (>= 1.3~)
Description: Time tools for Ruby and flor
 Fugit is a set of time tools for flor (a Ruby workflow engine) and the
 floraison group. It uses et-orbi to represent time instances and raabro as a
 basis for its parsers.
 .
 Fugit is being used by projects like arask, sideqik-cron, flor, etcetera. The
 simplest way to use fugit is via Fugit.parse(s).

## ruby-fugit 1.5.2

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	mv $(NAME)-$(VERSION).gem pkg/
 
 push: build
-	gem push pkg/$(NAME)-$(VERSION).gem
+	gem push --otp "$(OTP)" pkg/$(NAME)-$(VERSION).gem
 
 spec:
 	bundle exec rspec

=== debian/changelog ===
ruby-fugit (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control (Standards-Version): Bump to 4.6.0.
    (Build-Depends): Bump versions for ruby-raabro.
    (Depends): Handle dependencies with ${ruby:Depends}.
  * d/copyright (Copyright): Update and add team.
  * d/rules: Install upstream changelog.
  * d/watch: Update file.
  * d/upstream/metadata: Update Changelog URL.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 23 Nov 2021 20:30:20 +0100

=== debian/control ===
Source: ruby-fugit
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               rake,
               ruby-chronic,
               ruby-et-orbi (>= 1.1.8),
               ruby-raabro (>= 1.4),
               ruby-rspec
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fugit.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fugit
Homepage: https://github.com/floraison/fugit
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-fugit
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: time tools for Ruby and flor
 Fugit is a set of time tools for flor (a Ruby workflow engine) and the
 floraison group. It uses et-orbi to represent time instances and raabro as a
 basis for its parsers.
 .
 Fugit is being used by projects like arask, sideqik-cron, flor, etcetera. The
 simplest way to use fugit is via Fugit.parse(s).

=== debian/watch ===
version=4
opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
filenamemangle=s%v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/floraison/fugit/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-fugit 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 ## gem tasks ##
 
-NAME = \
-  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name")
-VERSION = \
-  $(shell ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version")
+NAME != \
+  ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.name"
+VERSION != \
+  ruby -e "s = eval(File.read(Dir['*.gemspec'][0])); puts s.version"
 
 count_lines:
 	find lib -name "*.rb" | xargs cat | ruby -e "p STDIN.readlines.count { |l| l = l.strip; l[0, 1] != '#' && l != '' }"

=== debian/changelog ===
ruby-fugit (1.8.1-3) unstable; urgency=medium

  * Team upload.
  * Reupload to unstable

  [ Vinay Keshava ]
  * add experimental variable in d/salsa-ci.yml

  [ Pirate Praveen ]
  * Add ruby-concurrent (>= 1.1.6+dfsg-5~) as build dependency
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Jun 2023 12:18:42 +0530

ruby-fugit (1.8.1-2) experimental; urgency=medium

  * Team upload.
  * Rebuild and update minimum version of ruby-et-orbi

 -- Vinay Keshava <vinaykeshava@disroot.org>  Mon, 24 Apr 2023 23:34:10 +0530

ruby-fugit (1.8.1-1) experimental; urgency=medium


  * Team upload.
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 1.8.1

 -- Vinay Keshava <vinaykeshava@disroot.org>  Mon, 20 Mar 2023 14:52:52 +0530

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb,
+               gem2deb (>= 2.1~),
                rake,
                ruby-chronic,
-               ruby-et-orbi (>= 1.1.8),
+                 ruby-concurrent (>= 1.1.6+dfsg-5~),
+               ruby-et-orbi (>= 1.2.7),
                ruby-raabro (>= 1.4),
                ruby-rspec
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-fugit.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-fugit
 Homepage: https://github.com/floraison/fugit
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-fugit
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
